package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class PartitionCapabilities {
    private Metadata metadata;
    private String dynamicLogicalPartitionIOCapable;
    private String dynamicLogicalPartitionMemoryCapable;
    private String dynamicLogicalPartitionProcessorCapable;
    private String internalAndExternalIntrusionDetectionCapable;
    private String resourceMonitoringControlOperatingSystemShutdownCapable;

    public PartitionCapabilities() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getDynamicLogicalPartitionIOCapable() {
        return dynamicLogicalPartitionIOCapable;
    }

    public void setDynamicLogicalPartitionIOCapable(String dynamicLogicalPartitionIOCapable) {
        this.dynamicLogicalPartitionIOCapable = dynamicLogicalPartitionIOCapable;
    }

    public String getDynamicLogicalPartitionMemoryCapable() {
        return dynamicLogicalPartitionMemoryCapable;
    }

    public void setDynamicLogicalPartitionMemoryCapable(String dynamicLogicalPartitionMemoryCapable) {
        this.dynamicLogicalPartitionMemoryCapable = dynamicLogicalPartitionMemoryCapable;
    }

    public String getDynamicLogicalPartitionProcessorCapable() {
        return dynamicLogicalPartitionProcessorCapable;
    }

    public void setDynamicLogicalPartitionProcessorCapable(String dynamicLogicalPartitionProcessorCapable) {
        this.dynamicLogicalPartitionProcessorCapable = dynamicLogicalPartitionProcessorCapable;
    }

    public String getInternalAndExternalIntrusionDetectionCapable() {
        return internalAndExternalIntrusionDetectionCapable;
    }

    public void setInternalAndExternalIntrusionDetectionCapable(String internalAndExternalIntrusionDetectionCapable) {
        this.internalAndExternalIntrusionDetectionCapable = internalAndExternalIntrusionDetectionCapable;
    }

    public String getResourceMonitoringControlOperatingSystemShutdownCapable() {
        return resourceMonitoringControlOperatingSystemShutdownCapable;
    }

    public void setResourceMonitoringControlOperatingSystemShutdownCapable(
        String resourceMonitoringControlOperatingSystemShutdownCapable) {
        this.resourceMonitoringControlOperatingSystemShutdownCapable = resourceMonitoringControlOperatingSystemShutdownCapable;
    }

    @Override
    public String toString() {
        return "PartitionCapabilities [metadata=" + metadata + ", dynamicLogicalPartitionIOCapable="
            + dynamicLogicalPartitionIOCapable + ", dynamicLogicalPartitionMemoryCapable="
            + dynamicLogicalPartitionMemoryCapable + ", dynamicLogicalPartitionProcessorCapable="
            + dynamicLogicalPartitionProcessorCapable + ", internalAndExternalIntrusionDetectionCapable="
            + internalAndExternalIntrusionDetectionCapable
            + ", resourceMonitoringControlOperatingSystemShutdownCapable="
            + resourceMonitoringControlOperatingSystemShutdownCapable + "]";
    }
}
